Get USDC Transaction (Legacy)
curl --request GET \
--url https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/accounts/{account_id}/transactions/{transaction_id}' -Method GET -Headers $headers{
"id": "<string>",
"amount": "<string>",
"destination_address": "<string>",
"destination_payment_rail": "arbitrum",
"destination_tx_hash": "<string>",
"destination_address_nickname": "<string>"
}{
"code": 123,
"message": "<string>",
"debug_message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}Transactions
Get USDC Transaction
deprecated
Legacy endpoint for retrieving USDC transaction details. For new integrations, use GET /accounts/{account_id}/crypto/{transaction_id}.
GET
/
accounts
/
{account_id}
/
transactions
/
{transaction_id}
Get USDC Transaction (Legacy)
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
The ID of the account.
The ID of the USDC transaction.
Response
Successful Response
Identifier of the transaction, as returned when you created it.
Size of the transaction, in USD.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$On-chain address the funds were sent to.
Blockchain network the funds moved over.
Available options:
arbitrum, avalanche_c_chain, base, ethereum, optimism, polygon, solana, stellar, sui, tempo, tron, xdc, ach, ach_push, ach_same_day, fednow, wire On-chain hash of the transfer. null until the transaction settles.
Nickname of the contact that owns the destination address. null when the address is not attached to a contact.